#!/bin/bash
. ./terminal.config



#test if master or terminal
ps -A|grep -e unity -e gdm &>/dev/null
if [ $? -ne 0  ]; then
#zagon na diskless terminalih
	./RUN_TERMINAL_LOADER.sh
else
#zagon lokalno, na masterju

	#TODO: vrstni red
	#run all services from the services_run folder
	if [ -d services_run ]; then 
		for f in services_run/*.sh; do
	  		filename=$(basename -- "$f")
	  		scriptname="${filename%.*}"
	  		scriptname2="${scriptname:4}" #cut first 4 chars "RUN_"
	  		scriptname2="${scriptname2,,}" #ToLower
	  		if [ -x $f ]; then
				screen -S $scriptname2 -dm bash -c "cd "$HOME_DIR"; ./$f; exit"
	  		else
				echo "Skipping $f, no permission to execute."
	  		fi
		done
	fi
fi



exit 0

