#!/bin/bash

. ./terminal.config

#export SAS_FORCE_ENABLED=1

#binary name, ki ga bomo zagnali
export BIN_FILENAME=/$HOME_DIR/imaxanano

export TERMINAL_PORT=6667

#nastaitve prikaza
export CPU_FPS=1000

#mehanizem za rotiranje log-file-ov
TERMINAL_NUMBER=$1
OLD_GAMES_DIR=$OLD_GAMES_DIR"/10.5.10."$TERMINAL_NUMBER
mkdir -p $OLD_GAMES_DIR

declare -x LOG_FILENAME=$OLD_GAMES_DIR"/imaxanano.log"
export 1>/dev/null 2>/dev/null
rm $LOG_FILENAME -rf

#zazenemo binary
echo "RUNTERMINAL.SH: Loading libraries from $LIBS_PATH"

#zagon lokalno, na masterju
    echo "RUNTERMINAL.SH: X server running at \$DISPLAY [$DISPLAY]" >&2

        #before starting program, we check if a _update file is pending as program update - usefull to update at next reboot
        if [ -e $BIN_FILENAME"_update" ]; then
            echo
            echo "    "Updating $BIN_FILENAME with file $BIN_FILENAME"_update"
            echo "    "Old version will be renamed to $BIN_FILENAME"_old"
            echo

            mv -f $BIN_FILENAME $BIN_FILENAME"_old" > /dev/null
            mv -f $BIN_FILENAME"_update" $BIN_FILENAME > /dev/null
            chmod ugo+x $BIN_FILENAME
        fi;


    export DISABLE_REBOOT_ON_EXIT=1
    export EXPORT_USB_KEY_DEV_NAME=$EXPORT_USB_KEY_DEV_NAME_ONSLOT

    lldb-server-13 platform --server --listen *:9998
    #gdbserver localhost:9998 imaxanano

exit 0;

